import { __ } from "@wordpress/i18n";
import { InnerBlocks, useBlockProps, RichText } from "@wordpress/block-editor";
import "./editor.scss";

export default function Edit({ attributes, setAttributes }) {
	return (
		<section
			{...useBlockProps({ className: "homegrade-blocks-shortcuts" })}
			role="navigation"
		>
			<InnerBlocks
				allowedBlocks={["core/heading", "core/button"]}
				template={[
					["core/heading", { level: 3, content: __("Raccourcis") }],
					["core/button", { placeholder: __("Lien vers une ancre") }],
				]}
			/>
		</section>
	);
}
